<?php
namespace Teknisa\Model\Geral\Entities;


class Organizacao extends \Teknisa\Model\Geral\Entities\Base\Organizacao {
    const PESSOA_FISICA   = 'F';
    const PESSOA_JURIDICA = 'J';

    const INATIVO = 'N';
    const ATIVO   = 'S';

    const IDORG_SAAS    = 'S';
    const IDORG_LOCAL   = 'N';
    const IDORG_HOSTING = 'H';

    /* ---------- ORGANIZATION STATUS ---------- */
    const GERAR_ESTRUTURA                     = 'C';
    const GERACAO_ESTRUTURA_SOLICITADA        = 'S';
    const GERAR_DADOS_INICIAIS                = 'Q';
    const BASE_PREPARADA                      = 'P';
    const BASE_PREPARADA_ZMART                = 'Z';
    const BASE_BLOQUEADA                      = 'D';
    const ORGANIZACAO_INATIVADA               = 'I';
    const ORGANIZACAO_INATIVADA_BASE_REMOVIDA = 'R';

    const PREPARACAO_PENDENTE_LOCAL_HOSTING   = 'N';
    const BASE_PREPARADA_LOCAL_HOSTING        = 'L';
    const BASE_PREPARADA_ZMART_LOCAL_HOSTING  = 'Y';
    const ORGANIZACAO_INATIVADA_LOCAL_HOSTING = 'J';

    const PREPARACAO_PENDENTE_SECUNDARIA   = 'O';
    const BASE_PREPARADA_SECUNDARIA        = 'M';
    const BASE_PREPARADA_ZMART_SECUNDARIA  = 'X';
    const ORGANIZACAO_INATIVADA_SECUNDARIA = 'K';

    public function isSaas() {
        return $this->getIdorgsaas() == 'S';
    }

    public function isSecundaria() {
        return !empty($this->getNrorgprincipal());
    }

    public static function getStatusIniciais() {
        return array(
            self::GERAR_ESTRUTURA,
            self::GERACAO_ESTRUTURA_SOLICITADA,
            self::PREPARACAO_PENDENTE_LOCAL_HOSTING,
            self::PREPARACAO_PENDENTE_SECUNDARIA
        );
    }
}